#
# spec file for package php5-memcached
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pkg_name memcached
%define conf_dir %{_sysconfdir}/php5/conf.d
%define ext_dir  %(%{__php_config} --extension-dir)


Name:           php5-memcached
Version:        2.2.0
Release:        6.1
Summary:        PHP MemcacheD client Extension
License:        PHP-3.01
Group:          Productivity/Networking/Web/Servers
Url:            http://pecl.php.net/package/memcached
Source0:        http://pecl.php.net/get/%{pkg_name}-%{version}.tgz
BuildRequires:  libmemcached-devel >= 1.0.10
BuildRequires:  memcached
BuildRequires:  php5-devel >= 5.2
%if 0%{?suse_version} > 1310
BuildRequires:  php5-igbinary
%endif
BuildRequires:  php5-json
BuildRequires:  pkg-config
BuildRequires:  sysvinit-tools
%if 0%{?suse_version} > 1310
Requires:       php5-igbinary
%endif
Requires:       php5-json
Requires:       php(api) = %{php_core_api}
Requires:       php(zend-abi) = %{php_zend_api}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This extension uses libmemcached library to provide API for
communicating with memcached servers.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
CFLAGS="%{optflags}"
CXXFLAGS="%{optflags}"
export CFLAGS
export CXXFLAGS

%{__phpize}
%configure \
%if 0%{?suse_version} < 1310
	--disable-memcached-sasl \
%endif
	--enable-memcached \
%if 0%{?suse_version} > 1310
	--enable-memcached-igbinary \
%endif
	--enable-memcached-json
make %{?_smp_mflags}

%check
%if 0%{?suse_version} > 1310
TEST_PHP_ARGS="-d extension=%{ext_dir}/igbinary.so"
%endif
TEST_PHP_ARGS="$TEST_PHP_ARGS -d extension=%{ext_dir}/json.so"
export TEST_PHP_ARGS
%{_sbindir}/memcached -vv -p 11211 -U 11211 -d
sleep 5
make PHP_EXECUTABLE=%{__php} NO_INTERACTION=1 test
/sbin/killproc -v -TERM %{_sbindir}/memcached

%install
make INSTALL_ROOT=%{buildroot} install
install -d -m 0755 %{buildroot}%{conf_dir}/

cat > %{buildroot}%{conf_dir}/%{pkg_name}.ini <<EOF
; comment out next line to disable %{pkg_name} extension in php
extension = %{pkg_name}.so

EOF
cat %{pkg_name}.ini >> %{buildroot}%{conf_dir}/%{pkg_name}.ini

%files
%defattr(-,root,root)
%doc ChangeLog CREDITS LICENSE memcached-api.php README.markdown
%{ext_dir}/%{pkg_name}.so
%config(noreplace) %{conf_dir}/%{pkg_name}.ini

%changelog
* Fri Feb 19 2016 pgajdos@suse.com
- do not require php5-igbinary for 13.1
* Sun Aug 24 2014 munix9@googlemail.com
- update to version 2.2.0
  * Added the OPT_SERVER_TIMEOUT_LIMIT behaviour
- update to version 2.2.0RC1
  * Fixes incorrect size when compressing serialized objects
  * Fixes endianess of compressed values
- update to version 2.2.0b1
  * Reinstate support for libememcached 0.x series
  * Added SASL support to session handler
  * Added Memcached::flushBuffers as per GH #78
  * Fixes GH #54: Fixed UDP server adding with newer libmemcached
  * Fixed PHP bug #65334: (Segfault if uncompress value failed)
  * Fixes GH #14: get with cas token fails to fetch all results
  * Fixes GH #68: memcached 2.1.0 requires libmemcached 1.0.10
  * Fixes GH #69: compiling on CentOS 6.4 with libmemcached 1.0.17
  * Merged PR #91: More granular session locking support
  * Added session handler settings:
  - memcached.sess_number_of_replicas
  - memcached.sess_randomize_replica_read
  - memcached.sess_remove_failed
  - memcached.sess_connect_timeout
  * Added support for memcached protocol handlers
  * Added Memcached::setBucket for virtual bucket support
  * Added support for msgpack serialization
  * Memcached::setSaslAuthData returns correct status on success
  * Added support for user-defined flags in set and get operations
* Fri Jul 12 2013 munix9@googlemail.com
- replaced source package with the original from github,
  added pull_request_42.patch and pull_request_56.patch
* Tue Feb 12 2013 munix9@googlemail.com
- initial package for version 2.1.0
  * Drop support for libmemcached 0.x series, now 1.0.x is required
  * Add support for virtual bucket distribution
  * Fix compilation against PHP 5.2
